using System.Drawing;

namespace CarlosB.PathFind
{
	public class EstimateGoalCostEventArgs: System.EventArgs
	{
		public readonly Point From;
		public readonly Point To;
		public int Result;
		
		public EstimateGoalCostEventArgs(Point From, Point To)
		{
			this.From = From;
			this.To = To;
		}
	}
		
	public delegate void EstimateGoalCostEventHandler(object sender, EstimateGoalCostEventArgs e);

	public class CellEventArgs: System.EventArgs
	{
		public readonly Point Pos;
		public byte Result;
		
		public CellEventArgs(Point Pos)
		{
			this.Pos = Pos;
		}
	}

	public delegate void CellEventHandler(object sender, CellEventArgs e);
}